# Force p2p status check. Recommended for usage with poor network connections

`GET /v1/check-wss-user`

If the network connection is poor, we recommend to request once per hour so that items remain or come back on sale.

Note: This method will enable items for sale if you're  connected to the trade websocket and even if you set your sales status to offline.

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `steamid` | query | string | required | Your Steam64ID. Can be found in /user endpoint |

## Example (curl)

```bash
curl -X GET 'https://api.waxpeer.com/v1/check-wss-user?api=%7B%7BAPI_KEY%7D%7D&steamid=765611983383140000'
```

## Example response

```json
{
  "success": true,
  "step": 3,
  "msg": "You can sell now"
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
